org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers

## Class PublisherBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.publishers.PublisherBean

    @ApplicationScoped
    public class PublisherBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PublisherBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>>` `getAPublisherBuilderProducingMessage()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `getAPublisherBuilderProducingPayload()`
`org.reactivestreams.Publisher<Message<String>>` `getAPublisherProducingMessage()`
`org.reactivestreams.Publisher<String>` `getAPublisherProducingPayload()`
`io.reactivex.Flowable<Message<String>>` `getASubclassOfPublisherProducingMessage()`
`io.reactivex.Flowable<String>` `getASubclassOfPublisherProducingPayload()`
`Message<Integer>` `getMessage()`
`CompletionStage<Message<Integer>>` `getMessageAsync()`
`CompletionStage<Integer>` `getPayloadAsync()`
`int` `getPayloads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublisherBean

    public PublisherBean()

### Method Detail

#### getAPublisherProducingMessage

    public org.reactivestreams.Publisher<Message<String>> getAPublisherProducingMessage()

#### getAPublisherProducingPayload

    public org.reactivestreams.Publisher<String> getAPublisherProducingPayload()

#### getAPublisherBuilderProducingMessage

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Message<String>> getAPublisherBuilderProducingMessage()

#### getAPublisherBuilderProducingPayload

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> getAPublisherBuilderProducingPayload()

#### getASubclassOfPublisherProducingMessage

    public io.reactivex.Flowable<Message<String>> getASubclassOfPublisherProducingMessage()

#### getASubclassOfPublisherProducingPayload

    public io.reactivex.Flowable<String> getASubclassOfPublisherProducingPayload()

#### getPayloads

    public int getPayloads()

#### getMessage

    public Message<Integer> getMessage()

#### getMessageAsync

    public CompletionStage<Message<Integer>> getMessageAsync()

#### getPayloadAsync

    public CompletionStage<Integer> getPayloadAsync()